// $Id: test-cgi.C,v 1.1 2003/07/22 18:23:47 dvermeir Exp $

#include <fstream>
#include <sstream>
#include <dvticket/cgi.h>

int
main(int argc,char* argv[]) {
Dv::Ticket::Cgi cgi("test.cgi", "tinf2.vub.ac.be/~dvermeir/login.cgi", "en", true);
try {

  Dv::Util::Props out;
  out.add("username", cgi.user().name());
  out.add("category", cgi.user().category());
  out.add("info", cgi.user().info());
  out.add("uid", Dv::Util::tostring(cgi.user().id()));

  std::ifstream ifs("test-cgi.html");
  if (ifs) {
    std::ostringstream oss;
    out.substitute(ifs, oss);
    cgi << oss.str() << std::endl;
    }
  else {
    cgi->content_type("text/plain");
    cgi << out << std::endl;
    }
  }
catch (std::exception& e) {
  cgi->content_type("text/plain");
  cgi << e.what() << std::endl;
  return 1;
  }
return 0;
}
